Index: swig/abac.i
===================================================================
--- swig/abac.i	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ swig/abac.i	(revision 472161887a4822e907c5e9d23bd1a4a0ec6f950b)
@@ -2,15 +2,10 @@
 
 // Accessing these overloaded functions confuses perl and python.
-// We ignore the string version and rename the char * version to
-// member_name.  The bare name takes an open file.
+// ignore the string& set,
+// The bare name takes an open file.
 
 %ignore ABAC::ID::write_cert(const std::string&);
-%rename(write_cert_name) ABAC::ID::write_cert(const char *);
-
 %ignore ABAC::ID::write_privkey(const std::string&);
-%rename(write_privkey_name) ABAC::ID::write_privkey(const char *);
-
 %ignore ABAC::Attribute::write(const std::string&);
-%rename(write_name) ABAC::Attribute::write(const char *);
 
 %rename(ID_chunk) ABAC::ID::ID(abac_chunk_t);
Index: swig/creddy.hh
===================================================================
--- swig/creddy.hh	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../creddy/creddy.hh
Index: swig/creddy.i
===================================================================
--- swig/creddy.i	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,35 +1,0 @@
-%module Creddy
-
-%include "exception.i"
-%include "language.i"
-
-%exception {
-    try {
-        $action
-    }
-    catch (const std::exception &e) {
-        SWIG_exception(SWIG_RuntimeError, e.what());
-    }
-}
-
-// Accessing these overloaded functions confuses perl and python.
-// We ignore the string version and rename the char * version to 
-// member_name.  The bare name takes an open file.
-
-%ignore Creddy::ID::write_cert(const std::string&);
-%rename(write_cert_name) Creddy::ID::write_cert(const char *);
-
-%ignore Creddy::ID::write_privkey(const std::string&);
-%rename(write_privkey_name) Creddy::ID::write_privkey(const char *);
-
-%ignore Creddy::Attribute::write(const std::string&);
-%rename(write_name) Creddy::Attribute::write(const char *);
-
-%rename(ID_chunk) Creddy::ID::ID(abac_chunk_t);
-
-%{
-#include "creddy.hh"
-using namespace Creddy;
-%}
-
-%include "creddy.hh"
Index: swig/perl/creddy.h
===================================================================
--- swig/perl/creddy.h	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../creddy.h
Index: swig/perl/creddy.hh
===================================================================
--- swig/perl/creddy.hh	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../creddy.hh
Index: swig/perl/creddy.i
===================================================================
--- swig/perl/creddy.i	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../creddy.i
Index: swig/python/creddy.h
===================================================================
--- swig/python/creddy.h	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../creddy.h
Index: swig/python/creddy.hh
===================================================================
--- swig/python/creddy.hh	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../creddy.hh
Index: swig/python/creddy.i
===================================================================
--- swig/python/creddy.i	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../creddy.i
Index: swig/python/creddy_abac.py
===================================================================
--- swig/python/creddy_abac.py	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,33 +1,0 @@
-#!/usr/bin/env python
-
-from sys import argv, exit
-from ABAC import Context
-from Creddy import ID, Attribute
-
-if len(argv) < 3:
-    print "Usage: creddy_abac.py <cert.pem> <key.pem>"
-    exit(1)
-
-# load the ID and its key
-id = None
-try:
-    id = ID(argv[1])
-    id.load_privkey(argv[2])
-except Exception, e:
-    print "Problem loading cert: %s" % e
-    exit(1)
-
-# create an attribute cert
-attr = Attribute(id, "delicious", 10)
-attr.principal(id.keyid())
-attr.bake()
-
-# load it into libabac
-ctx = Context()
-ctx.load_id_chunk(id.cert_chunk())
-ctx.load_attribute_chunk(attr.cert_chunk())
-
-# run the proof
-(success, credentials) = ctx.query("%s.delicious" % id.keyid(), id.keyid())
-if success:
-    print "success!"
Index: swig/python/creddy_keyid.py
===================================================================
--- swig/python/creddy_keyid.py	(revision 461541aae6382bb58dfb3c4a1679d2d48e8f9e64)
+++ 	(revision )
@@ -1,17 +1,0 @@
-#!/usr/bin/env python
-
-from sys import argv, exit
-from Creddy import ID
-
-if len(argv) < 2:
-    print "Usage: creddy_keyid.py <cert.pem>"
-    exit(1)
-
-id = None
-try:
-    id = ID(argv[1])
-except Exception, e:
-    print "Problem loading cert: %s" % e
-    exit(1)
-
-print id.keyid()
